## GogOutlinedView GogOutlinedView |

## Functions

double | gog_outlined_object_get_pad ()

## Properties

gdouble | padding-pts | Read / Write

## Types and Values

| GogOutlinedObject
typedef | GogOutlinedObjectClass
| GogOutlinedView
| GogOutlinedViewClass

## Object Hierarchy

        GObject
        ├── GogObject
        │   ╰── GogStyledObject
        │       ╰── GogOutlinedObject
        │           ├── GogChart
        │           ├── GogDataLabel
        │           ├── GogGraph
        │           ├── GogText
        │           ├── GogLegend
        │           ╰── GogSeriesLabels
        ╰── GogView
            ╰── GogOutlinedView
                ╰── GogGraphView

## Implemented Interfaces

GogOutlinedObject implements GOStyledObject.

## Description

## Functions

### gog_outlined_object_get_pad ()

    double
    gog_outlined_object_get_pad (GogOutlinedObject const *goo);

## Types and Values

### GogOutlinedObject

    typedef struct _GogOutlinedObject GogOutlinedObject;

### GogOutlinedObjectClass

    typedef GogStyledObjectClass GogOutlinedObjectClass;

### GogOutlinedView

    typedef struct _GogOutlinedView GogOutlinedView;

### GogOutlinedViewClass

    typedef struct {
    	GogViewClass base;
    	gboolean call_parent_render;
    } GogOutlinedViewClass;

#### Members

GogViewClass `base`; | base class |
gboolean `call_parent_render`; | whether the parent class `render()` method must be called when done. |

## Property Details

### The `“padding-pts”` property

      “padding-pts”              gdouble

Number of pts separating charts in the grid.

Owner: GogOutlinedObject

Flags: Read / Write

Allowed values: >= 0

Default value: 0